## ros-kinetic-rospack 2.4.5

=== debian/changelog ===
ros-kinetic-rospack (2.4.5-1xenial) xenial; urgency=high

  * add ros_environment as dependency (#97 <https://github.com/ros/rospack/issues/97>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Jun 2019 07:00:00 -0000

ros-kinetic-rospack (2.4.4-1xenial) xenial; urgency=high

  * workaround console_bridge macros (#85 <https://github.com/ros/rospack/issues/85>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rospack (2.3.3-1xenial) xenial; urgency=high

  * make some deps* functions public (#65 <https://github.com/ros/rospack/pull/65>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-kinetic-rospack (2.3.2-1xenial) xenial; urgency=high

  * add license field in Stackage class (#66 <https://github.com/ros/rospack/issues/66>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-kinetic-rospack (2.3.1-1xenial) xenial; urgency=high

  * fix FTBFS on hurd-i386 (#64 <https://github.com/ros/rospack/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-kinetic-rospack (2.3.0-1xenial) xenial; urgency=high

  * allow caching of rospack results (#49 <https://github.com/ros/rospack/issues/49>)
  * fix memory leak in Rosstackage::addStackage (#59 <https://github.com/ros/rospack/issues/59>)
  * return false in depsOnDetail if the package name in rospack plugins can not be found (#51 <https://github.com/ros/rospack/issues/51>)
  * #undef symbols before #defining them to avoid preprocessor warnings in the case that they were already #defined (#50 <https://github.com/ros/rospack/issues/50>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 08:00:00 -0000

ros-kinetic-rospack (2.2.5-1xenial) xenial; urgency=high

  * support tags defined in package format 2 (#43 <https://github.com/ros/rospack/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Sep 2014 07:00:00 -0000

ros-kinetic-rospack (2.2.4-1xenial) xenial; urgency=high

  * fix find_package(PythonLibs ...) with CMake 3 (#42 <https://github.com/ros/rospack/issues/42>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-kinetic-rospack (2.2.3-1xenial) xenial; urgency=high

  * find library for exact Python version (even if not in CMake provided list of version numbers) (#40 <https://github.com/ros/rospack/issues/40>)
  * find TinyXML using cmake_modules (#24 <https://github.com/ros/rospack/issues/24>)
  * make error messages tool specific (rospack vs. rosstack) (#38 <https://github.com/ros/rospack/issues/38>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-rospack (2.2.2-1xenial) xenial; urgency=high

  * python 3 compatibility (#35 <https://github.com/ros/rospack/issues/35>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-kinetic-rospack (2.2.1-1xenial) xenial; urgency=high

  * only perform backquote substitution when needed (#34 <https://github.com/ros/rospack/issues/34>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2014 08:00:00 -0000

ros-kinetic-rospack (2.2.0-1xenial) xenial; urgency=high

  * add hash of ROS_PACKAGE_PATH to rospack/rosstack cache filename, remove ROS_ROOT from cache (#28 <https://github.com/ros/rospack/issues/28>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Jan 2014 08:00:00 -0000

ros-kinetic-rospack (2.1.22-1xenial) xenial; urgency=high

  * use specific python version catkin has decided on (#29 <https://github.com/ros/rospack/issues/29>)
  * python 3 compatibility (#25 <https://github.com/ros/rospack/issues/25>, #27 <https://github.com/ros/rospack/issues/27>)
  * fall back gracefully whe gtest is not available
  * update package urls

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-rospack (2.1.21-1xenial) xenial; urgency=high

  * honor CATKIN_IGNORE marker file when crawling for packages (#21 <https://github.com/ros/rospack/issues/21>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-kinetic-rospack (2.1.20-1xenial) xenial; urgency=high

  * improve error message to include package names when circular dependency is detected (#18 <https://github.com/ros/rospack/issues/18>)
  * check for CATKIN_ENABLE_TESTING to enable configure without tests
  * add '-h' option

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-kinetic-rospack (2.1.19-1xenial) xenial; urgency=high

  * modified command 'list-duplicates' to output the paths where the packages were found (#3 <https://github.com/ros/rospack/issues/3>)
  * modified 'rospack plugins' to not use rosdep (#5 <https://github.com/ros/rospack/issues/5>)
  * improve Windows support  (#10 <https://github.com/ros/rospack/issues/10>)
  * use find_package() for tinyxml (if available)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-rospack (2.1.18-1xenial) xenial; urgency=high

  * invert order of package type detection (dry before wet) (ros-infrastructure/rospkg#30 <https://github.com/ros-infrastructure/rospkg/issues/30>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-kinetic-rospack (2.1.17-1xenial) xenial; urgency=high

  * output full pkg-config command in case of errors (#8 <https://github.com/ros/rospack/issues/8>)
  * handle None as return value for call_pkg_config (#8 <https://github.com/ros/rospack/issues/8>)
  * fix crawling to always recrawl when forced (#9 <https://github.com/ros/rospack/issues/9>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-rospack (2.1.16-1xenial) xenial; urgency=high

  * fix segfault for command depends1 which ignores exceptions and calls isSysPackage again (#4 <https://github.com/ros/rospack/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000


